package math.color;

import math.utils.Util;

public class Colors04 {
    public static void main(String[] args) {
        int a = 0xff;
        Util.print(a);
        String ba = Integer.toBinaryString(a);
        Util.print(ba);
        int rgb = 2345362;
        Util.print(rgb);
        String brgb = Integer.toBinaryString(rgb);
        Util.print(brgb);
        int c = rgb >> 16;
        Util.print(c);
        String bc = Integer.toBinaryString(c);
        Util.print(bc);
        int R = c & a;
        Util.print(R);
        String bR = Integer.toBinaryString(R);
        Util.print(bR);
    }
}
